List events v2

List events, going back up to 30 days.

Learn more about calling API v2 endpoints.

Parameters

  • createdobject

    Set of filters to query events within a range of created timestamps.

  • limitinteger

    The page size.

  • object_idstring

    Primary object ID used to retrieve related events.

  • pagestring

    The requested page.

  • typesarray of strings

    An array of up to 20 strings containing specific event names.

Returns

Response attributes

  • dataarray of objects

    List of events.

  • next_page_urlnullable string

    The next page url.

  • previous_page_urlnullable string

    The previous page url.

GET /v2/core/events
curl -G https://api.stripe.com/v2/core/events \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-12-15.preview" \
-d object_id=mtr_test_61RCjiqdTDC91zgip41IqPCzPnxqqSVc
Response
{
"data": [
{
"id": "evt_test_65RCjj4EqW1sabcjs2Z16RCMoNQdSQkOWvfL6L5uU2K40u",
"object": "v2.core.event",
"context": null,
"created": "2024-09-26T17:46:22.134Z",
"data": {
"developer_message_summary": "There is 1 invalid event",
"reason": {
"error_count": 1,
"error_types": [
{
"code": "meter_event_no_customer_defined",
"error_count": 1,
"sample_errors": [
{
"error_message": "Customer mapping key stripe_customer_id not found in payload.",
"request": {
"identifier": "cb447754-6880-45c2-8f2f-ef19b6ce81e9"
}
}
]
}
]
},
"validation_end": "2024-09-26T17:46:20.000Z",
"validation_start": "2024-09-26T17:46:10.000Z"
},
"livemode": false,
"reason": null,
"related_object": {
"id": "mtr_test_61RCjiqdTDC91zgip41IqPCzPnxqqSVc",
"type": "billing.meter",
"url": "/v1/billing/meters/mtr_test_61RCjiqdTDC91zgip41IqPCzPnxqqSVc"
},
"type": "v1.billing.meter.error_report_triggered"
}
],
"next_page_url": null,
"previous_page_url": null
}

Ping an event destination v2

Send a ping event to an event destination.

Learn more about calling API v2 endpoints.

Parameters

  • idstringRequired

    Identifier for the event destination to ping.

Returns

Response attributes

  • idstring

    Unique identifier for the event.

  • objectstring, value is "v2.core.event"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • changesnullable object

    Before and after changes for the primary related object.

  • contextnullable string

    Authentication context needed to fetch the event or related object.

  • createdtimestamp

    Time at which the object was created.

  • datanullable object

    Additional data about the event.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • reasonnullable object

    Reason for the event.

  • related_objectnullable object

    Object containing the reference to API resource relevant to the event.

  • typestring

    The type of the event.

Error Codes
404not_found

The resource wasn’t found.

POST /v2/core/event_destinations/:id/ping
curl -X POST https://api.stripe.com/v2/core/event_destinations/evt_test_65RM8sQH2oXnebF5Rpc16RJyfa2xSQLHJJh1sxm7H0KI92/ping \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-12-15.preview"
Response
{
"id": "evt_test_65RM8sQH2oXnebF5Rpc16RJyfa2xSQLHJJh1sxm7H0KI92",
"object": "v2.core.event",
"context": null,
"created": "2024-10-22T16:26:54.063Z",
"data": null,
"livemode": false,
"reason": null,
"related_object": {
"id": "ed_test_61RM8ltWcTW4mbsxf16RJyfa2xSQLHJJh1sxm7H0KVT6",
"type": "event_destination",
"url": "/v2/core/event_destinations/ed_test_61RM8ltWcTW4mbsxf16RJyfa2xSQLHJJh1sxm7H0KVT6"
},
"type": "v2.core.event_destination.ping"
}

Types of events v2

This is a list of all public thin events we currently send for /v1 and /v2 resources, which are continually evolving and expanding. The payload of thin events is unversioned. During processing, you must fetch the versioned event from the API or fetch the resource’s current state.

Event types

Type
Filter events by type
Related object
Account
and 2 more